# Poco

# class SortedDirectoryIterator

Library: Foundation
Package: Filesystem
Header: Poco/SortedDirectoryIterator.h

## Description

The SortedDirectoryIterator class is similar to DirectoryIterator class, but places directories before files and sorts content alphabetically.

## Inheritance

Direct Base Classes: DirectoryIterator

All Base Classes: DirectoryIterator

## Member Summary

Member Functions: operator ++

Inherited Functions: name, operator !=, operator *, operator ++, operator =, operator ==, operator->, path

## Constructors

### SortedDirectoryIterator

SortedDirectoryIterator();

Creates the end iterator.

### SortedDirectoryIterator

SortedDirectoryIterator(
const std::string & path
);

Creates a directory iterator for the given path.

### SortedDirectoryIterator

SortedDirectoryIterator(
const DirectoryIterator & iterator
);

Creates a directory iterator for the given path.

### SortedDirectoryIterator

SortedDirectoryIterator(
const File & file
);

Creates a directory iterator for the given file.

### SortedDirectoryIterator

SortedDirectoryIterator(
const Path & path
);

Creates a directory iterator for the given path.

## Destructor

### ~SortedDirectoryIterator

virtual ~SortedDirectoryIterator();

Destroys the DirsFirstDirectoryIterator.

## Member Functions

### operator ++

virtual SortedDirectoryIterator & operator ++ ();